Package com.smartgwt.client.widgets.grid.events

# Class EditorEnterEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<EditorEnterHandler>
com.smartgwt.client.widgets.grid.events.EditorEnterEvent

public class EditorEnterEvent extends AbstractSmartEvent<EditorEnterHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditorEnterEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(EditorEnterHandler handler)`
  `static <S extends HasEditorEnterHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EditorEnterHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  column number of the cell
  `ListGrid`
  `getGrid()`
  ListGrid to which this field belongs
  `ListGridRecord`
  `getRecord()`
  record for the cell being edited.
  `int`
  `getRowNum()`
  row number for the cell
  `static GwtEvent.Type<EditorEnterHandler>`
  `getType()`
  Gets the type associated with this event.
  `Object`
  `getValue()`
  value for the cell being edited

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditorEnterEvent

    public EditorEnterEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasEditorEnterHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EditorEnterHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EditorEnterHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EditorEnterHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EditorEnterHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EditorEnterHandler>`

  - ### getRecord

    public ListGridRecord getRecord()
    record for the cell being edited. Will be null for a new, unsaved record.
    Returns:
      record for the cell being edited. Will be null for a new, unsaved record.

  - ### getValue

    public Object getValue()
    value for the cell being edited
    Returns:
      value for the cell being edited

  - ### getRowNum

    public int getRowNum()
    row number for the cell
    Returns:
      row number for the cell

  - ### getColNum

    public int getColNum()
    column number of the cell
    Returns:
      column number of the cell

  - ### getGrid

    public ListGrid getGrid()
    ListGrid to which this field belongs
    Returns:
      ListGrid to which this field belongs